Doomsday Engine - Bug #932

mf2_floatbob not affecting particle generators
2010-09-10 23:18 - zoeikon

Status: Closed Start date: 2010-09-10
Priority: High % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 1.13

Description

While making a new Quartz Flask and Crystal Vial complete with bubbles, | found that the bobbing of the item did nothing for the
position of the Generator origin, EVEN when 'Submodel' was used to specify a submodel center as the origin.

Labels: Graphics

Associated revisions

Revision 9408252d - 2013-12-23 14:34 - skyjake

Fixed|Particles: Particle spawn position affected by source float bobbing

When particles are spawned, in addition to floorclip, float-bobbing
is also taken into account.

Todo for later: It would be useful to have a generator flag that
determines that bobbing should be applied at a later stage, e.g.,
during rendering. This would allow for particles that appear
inside an object to stay inside it. In practice, it would be enough
to store the “bobbing phase” of the particle and have the renderer
figure out the offset based on that and time.

IssuelD #932

History

#1 - 2011-02-13 02:15 - zoeikon

Left: still vial | Right: bobbing vial, Generator not moving with it

Attachments:

e http://sourceforge.net/p/deng/bugs/ discuss/thread/6284e323/4aaf/attachment/vialerror.jpg

#2 - 2013-10-18 13:19 - skyjake
- Tags set to Particles, Renderer, 3DModel
- Assignee set to skyjake

- Target version changed from 1.8.6 to 1.13

#3 - 2013-10-18 14:41 - skyjake
- Category set to Defect

#4 - 2013-12-23 14:37 - skyjake
- Status changed from New to Closed

- % Done changed from 0 to 100

Bobbing now affects particle spawn positions. However, it only affects the original position of the particle — as the particle lives on, bobbing will not
affect it any longer.

See todo note in the commit about a useful future enhancement.
